package com.libreecm.commonAPI.model;

import java.io.Serializable;

import com.libreecm.commonAPI.model.objects.ExtensionsData;
 
//@JsonTypeInfo(use=JsonTypeInfo.Id.CLASS, include=JsonTypeInfo.As.PROPERTY, property="@class")
public abstract class LibreECMObject extends ExtensionsData implements Serializable{
    
	/** 
	 *   
	 */
	private static final long serialVersionUID = 1L;
  
	/**
	 * Property showing the object is fiscally accessible in this moment. 
	 */
	private Boolean accessible=false;
	 
	/**   
	 * Property showing the object is active for the system.
	 */
	private Boolean active=false;

	/**
	 * @return the accessible
	 */
	public Boolean getAccessible() {
		return accessible;
	}

	/**
	 * @return the active
	 */
	public Boolean getActive() {
		return active;
	}

	/**
	 * @param accessible the accessible to set
	 */
	public void setAccessible(Boolean accessible) {
		this.accessible = accessible;
	}

	/**
	 * @param active the active to set
	 */
	public void setActive(Boolean active) {
		this.active = active;
	}
	
    
    

}
